On September 10, 2025, field gtuCode was introduced.
33 posts tagged with "roadmap"
View All TagsAdding the ability to query the Catalog service by GenericArticle
On September 9, 2025, changes were introduced to the Catalog service. The ability to search for objects by GenericArticle has been added, for more than 10,000 items.
Removal of facets from the response of the GET/products endpoint in the Catalog service
On May 29, 2025, changes were introduced to the Catalog service. The facets object, which contained category or attribute identifiers, was removed from the response.
Adding new field in the response from the Delivery service
On May 6, 2025, changes were made in Delivery service. A new object brandReference was added to the response, containing information about the company associated with the product.
Additional deliveryMethods in Sales service allowed
On January 14, 2025, changes were made to allow additional value DISTR in field deliveryMethod for Belgian customers.
Information about return blocking added Pricing, Inventory adn Catalog services
On December 20, 2024, a new column was added to Pricing and Inventory and Catalog services: blocked_return. This column contains information about a possible blocked return status on a given product (in such a case, the value: true appears).
Information about return blocking added to CSV ProductInformation files
On December 4, 2024, a new column was added to ProductInformation CSV files: blocked_return. This column contains information about a possible blocked return status on a given product (in such a case, the value: true appears). Upon request, it is possible to disable presentation of additional column.
Information about routes pinned to the customer in the Customer service
A new version of the Customer service was introduced on August 19, 2024. A new flag routes active was added to the response of the GET /customer operation. This flag informs whether there are currently any logistics routes pinned to the customer.
Adding the capability to query the Catalog service by SKU or product index
On July 15, 2024, the capability to query the GET /products operation in the Customer service based on SKU or product index was introduced.
Implementation details:
- To call the GET /products operation using the SKU code, you need to pass the query parameter queryParam named sku.
- To call the GET /products operation using the product index, you need to pass the query parameter queryParam named index.
Usage examples:
- Call using SKU code:
GET /products?sku=<kod_SKU>
- Call using product index:
GET /products?index=<indeks_towaru>
Information on Automatic Order Confirmation in the Customer Service
On July 10, 2024, a new version of the Customer service was released. A new flag, automaticOrderConfirmation, was added to the response of the GET /customer operation. This flag indicates whether orders placed by the user will be sent with automatic order confirmation.
